Subject: RE: 6MAN Adoption call on raft-chakrabarti-nordmark-6man-efficient-nd-04

From: Xavier Vilajosana Guillen <[email-masked]>
Date: Fri, 22 Nov 2013 12:29:04 +0100

Hi,

I support the adoption of the draft.

regards,
Xavi

----- Original Message -----

From: "Eric Levy- Abegnoli (elevyabe)" <[email-masked]>
To: Ole Troan <[email-masked]>, 6man WG <[email-masked]>
Cc: 6man Chairs <[email-masked]>
Sent: 11/21/2013 3:20 AM
Subject: Re: 6MAN Adoption call on raft-chakrabarti-nordmark-6man-efficient=
-nd-04

Hi,
I support this draft: besides the operational value already mentioned,
I can see all the cool things we would be able to do, to scale up the
number of node on the link.

Broadcasting on the link is quite fine when you have a limited number
of addresses to deal with, and the dynamic is low. But we plan for
layer-2 networks much bigger and much more dynamic (industrial,
datacenter, very large campus) and broadcasting + caching is creating
a bottleneck.

I imagine we could also do routing with a cache instead of a table,
and broadcast queries to find the destination prefix. Everybody would
agree it does not scale. It's not just the
numbers; it's also the dynamic.

I ran a simple math: 100,000 nodes, 3 addresses each, 10% of nodes
moving every minute (moves can be physical or virtual), 3 multicast
messages sent per move (DAD, NA, MLD), message size could go from 100B
to 1KB (when using CGA for instance), that would range from 1 Mbit to
8 Mbit/sec.

Definitely an issue for the wireless links, but not only.
Last but not least, there is quite a bit of latency involved when
looking for a target that is not in cache.

A cache is a good response to these problems, as long as the dynamic
is low. But it's just a cache: when numbers grow, it can't keep up.
And it=B9= s not designed to be distributed.
Registration and dissemination (this draft, and sail-draft) propose a
shift to a more pro-active approach, "a la" routing.

Any node looking for an address on-link will either have it in its
table (not cache) or will know who have it (that's the distribution
part).The critical piece is not just registration; it's also
distribution so
that the information is available quickly where it's needed, along the
forwarding path.

There is a lot to clarify though: co-existence with the legacy model,
distribution scheme (hierarchical, hash-based, =8A), nature of the
registrars (Routers? Switches? DHCP servers? =8A).

Eric

On 19/11/13 11:45, "Ole Troan" <[email-masked]> wrote:

>All,
>
>There was moderate support to adopt this draft at the working group
>meeting in Vancouver.
>This is an adoption call to confirm the result of the hum at the meeting.
>
>Please provide a view with reasons as to whether the WG should adopt this
>or not.
>
>This message starts a one week 6MAN Working Group call on adopting:
>
>    Title           : Wired and Wireless IPv6 Neighbor Discovery
>Optimizations
>    Author(s)    : S. Chakrabarti, E. Nordmark, P. Thubert, M. Wasserman
>    Filename    : draft-chakrabarti-nordmark-6man-efficient-nd-04
>    Pages        : 31
>    Date          : 2013-10-22
>
>
>http://tools.ietf.org/html/draft-chakrabarti-nordmark-6man-efficient-nd-04
>
>The call ends on November 26th, 2013.
>
>Regards,
>
>Bob Hinden & Ole Tr=F8an
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------

---

From: "Hosnieh Rafiee" <[email-masked]>
Date: Fri, 22 Nov 2013 23:15:43 +0100

I reviewed this draft and support its adoption. I guess some of the
recommendation in this draft such as DAD process can be also used to
optimize NDP.
 
I have a few suggestions and questions
 
- In the draft, page 4, page 7, page 8, page 14, page 22 ... the authors
discussed about using EUI-64, since the status of EUI-64 is not clear, I
think it would be helpful if you explain more about the random generation
approach. maybe a reference to rfc 4086 or other approaches. Or either you
need to avoid EUI-64 deprecation.
-
 
Questions:
- I still did not get exactly how you do your optimization in mixed-mode. I
guess whenever any node that uses classic NDP do not hear anything from the
node with efficient-nd, then it will remove it from the cache and again next
time when your node wakes up, it should repeat the process to announce its
IP address. Is this task done by re-registration but what about nodes that
are not router? Probably I missed something about the mixed-mode.
 
- I guess your routers must implement this feature otherwise it cannot
support it. Mixed mode seems only useful for hosts and not routers. Is it
true? 

typos
- page 4: VM address reslution -> resolution
 
 Thanks
Smile,
Hosnieh

> On November 21, 2013 at 9:56 AM Suresh Krishnan
<[email-masked]> wrote:
>
>
> I support the adoption of this draft.
>
> Thanks
> Suresh
>
>
> Subject: Re: 6MAN Adoption call on
raft-chakrabarti-nordmark-6man-efficient-nd-04
>
>
>
> Hi,
> I support this draft: besides the operational value already mentioned, I
> can see all the cool things we would be able to do, to scale up the number
> of node on the link.
>
> Broadcasting on the link is quite fine when you have a limited number of
> addresses to deal with, and the dynamic is low. But we plan for layer-2
> networks much bigger and much more dynamic (industrial, datacenter, very
> large campus) and broadcasting + caching is creating a bottleneck.
>
> I imagine we could also do routing with a cache instead of a table, and
> broadcast queries to find the destination prefix. Everybody would agree it
> does not scale. It's not just the
> I ran a simple math: 100,000 nodes, 3 addresses each, 10% of nodes moving
> every minute (moves can be physical or virtual), 3 multicast messages sent
> per move (DAD, NA, MLD), message size could go from 100B to 1KB (when
> using CGA for instance), that would range from 1 Mbit to 8 Mbit/sec.
> Last but not least, there is quite a bit of latency involved when looking
> for a target that is not in cache.
>
> A cache is a good response to these problems, as long as the dynamic is
> low. But it's just a cache: when numbers grow, it can't keep up. And it¹s
> not designed to be distributed.
> shift to a more pro-active approach, "a la" routing. Any node looking for
> an address on-link will either have it in its table (not cache) or will
> know who have it (that's the distribution part).
> The critical piece is not just registration; it's also distribution so
> distribution scheme (hierarchical, hash-based, Š), nature of the
> registrars (Routers? Switches? DHCP servers? Š).
>
> Eric
>
> >Bob Hinden & Ole Trøan
---
Hosnieh
Sorry for tpyos from my chubby fingers typing on my phone